%define anolis_release 2
%global srcname tblib

Name:           python-%{srcname}
Version:        1.7.0
Release:        %{anolis_release}%{?dist}
Summary:        Traceback serialization library

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %pypi_source

BuildArch:      noarch

%global _description \
Traceback serialization library that allows you to: \
  * Pickle tracebacks and raise exceptions with pickled tracebacks in different \
    processes. This allows better error handling when running code over \
    multiple processes (imagine multiprocessing, billiard, futures, celery, \
    etc). \
  * Parse traceback strings and raise with the parsed tracebacks.

%description %{_description}

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(six)
BuildRequires:  python3dist(twisted)

Requires:       python3dist(six)

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version} -p1


%build
%py3_build


%install
%py3_install


%check
# doctest is disabled on Python 3.11+
# due to changes in tracebacks README.rst needs to be adapted
# upstream report: https://github.com/ionelmc/python-tblib/issues/64
PYTHONPATH="%{buildroot}%{python3_sitelib}:tests" \
    py.test-%{python3_version} -ra tests \
    %if v"0%{?python3_version}" <= v"3.10"
    README.rst
    %endif



%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Mar 26 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.7.0-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.7.0-1
- Import package for anolis 23
